> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Counterparty



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/counterparties/create
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/counterparties/create:
    post:
      tags:
        - counterparties
      summary: Create Counterparty
      operationId: create_counterparty__version__counterparties_create_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCounterpartyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CounterPartyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    CreateCounterpartyPayload:
      properties:
        relationship_type:
          type: string
          title: Relationship Type
        party_id:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Party Id
      type: object
      required:
        - relationship_type
      title: CreateCounterpartyPayload
      description: CreateCounterpartyPayload
    CounterPartyResponse:
      properties:
        id:
          type: integer
          title: Id
        owner_party_type:
          type: string
          title: Owner Party Type
        owner_party_id:
          type: integer
          title: Owner Party Id
        relationship_type:
          type: string
          title: Relationship Type
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - owner_party_type
        - owner_party_id
        - relationship_type
        - created_at
        - updated_at
      title: CounterPartyResponse
      description: CounterPartyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````